Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/perfctr/virtual.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN drivers/perfctr/virtual.c~perfctr-remap_page_range-fix drivers/perfctr/virtual.c
--- 25/drivers/perfctr/virtual.c~perfctr-remap_page_range-fix	2004-10-20 01:54:45.952415584 -0700
+++ 25-akpm/drivers/perfctr/virtual.c	2004-10-20 01:54:45.955415128 -0700
@@ -556,7 +556,8 @@ static int vperfctr_mmap(struct file *fi
 	perfctr = filp->private_data;
 	if (!perfctr)
 		return -EPERM;
-	return remap_page_range(vma, vma->vm_start, virt_to_phys(perfctr),
+	return remap_pfn_range(vma, vma->vm_start,
+				virt_to_phys(perfctr) >> PAGE_SHIFT,
 				PAGE_SIZE, vma->vm_page_prot);
 }
 
_
